Bug 129607 - [suggested PATCH] gcc only understands little-endian ARM platforms
Summary: [suggested PATCH] gcc only understands little-endian ARM platforms
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: xscale Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL: http://gcc.gnu.org/bugzilla/show_bug....
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-10 20:29 UTC by Lennert Buytenhek
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 21:01:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is a suggested fix. (2.43 KB, patch)
2004-08-10 20:30 UTC, Lennert Buytenhek
no flags Details | Diff

Description Lennert Buytenhek 2004-08-10 20:29:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
The triplet armv5b-softfloat-linux gives a binutils package that
generates ARM big endian object files by default, but gcc insists that
armv5b-softfloat-linux is little endian.

Version-Release number of selected component (if applicable):
3.4.1-2

How reproducible:
Always

Additional info:

See http://gcc.gnu.org/bugzilla/show_bug.cgi?id=16350

No word from the gcc folks yet, unfortunately.

Comment 1 Lennert Buytenhek 2004-08-10 20:30:03 UTC
Created attachment 102594 [details]
This is a suggested fix.

Comment 2 Richard Henderson 2004-10-05 21:01:51 UTC
Upstream PR exists.


Note You need to log in before you can comment on or make changes to this bug.